html {
  scroll-padding-top: 75px;
}

/*! Global */

* {
  padding: 0 px;
  margin: 0;
  box-sizing: border-box;
}

.aspect-ratio {
  aspect-ratio: 16/9;
}

.container {
  width: 75%;
  margin: auto;
}

.section {
  padding: 70px 0px;
}

a {
  font-weight: bolder;
  color: #333;
  text-decoration: none;
}

.main-heading {
  text-align: center;
  font-size: 30px;
  font-weight: bolder;
  padding-bottom: 30px;
}

.main-heading {
  font-size: 40px;
  width: fit-content;
  margin-inline: auto;
  position: relative;
}

.main-heading::before {
  content: "";
  width: 50%;
  height: 10px;
  border-block: 2px solid #ff305b;
  position: absolute;
  bottom: -1px;
  left: 25%;
}

.main-heading::after {
  content: "";
  width: 90%;
  height: 30px;
  border-bottom: solid 2px #ff305b;
  position: absolute;
  bottom: 5px;
  left: 5%;
}
/* !  Global End */

/* ?  Home Section Start */

.home .home-content h1 {
  color: #ff305b;
}

.home {
  /* background-color: blue; */
  height: 100vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../images/hero\ img.jpg);
  background-position: center;
  background-size: cover;
  position: relative;
  color: white;
}

.home .nav .logo {
  color: #ff305b;
  font-size: 18px;
}

.home .nav .container {
  display: flex;
  justify-content: space-between;
  padding-inline: 20px;
}

.home .nav {
  padding: 20px;
  position: fixed;
  width: 100%;
  left: 0px;
  top: 0px;
  z-index: 999;
  background-color: #333;
}

.home .nav ul {
  /* background-color: orangered; */
  display: flex;
  gap: 20px;
  font-size: 20px;
  list-style: none;
  padding-inline: 0px;
}

.home .nav ul li a span {
  color: #ff305b;
}

.home .nav ul li a {
  color: inherit;
  text-decoration: none;
}

.home .nav ul li a:hover {
  color: #ff305b;
}

.home .home-content {
  /* background-color: blueviolet; */
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.home .home-content p {
  font-size: 22px;
}

.home .home-content h1 {
  font-size: 70px;
}

/* ?  End Home Section */

/*  &   Start About Section */

/* .about {
  background-color: #e6e6e6;
} */
.about .container {
  display: flow-root;
  /* background-color: rgb(255, 174, 127); */
}

.about .container .about-img {
  float: left;
  width: 35%;
  /* background-color:blue; */
}

.about .container .about-img .border {
  border: solid #333 10px;
  border-radius: 7px;
}

.about .container .about-img .border .img img {
  width: 100%;
}

.about .container .about-img .border .img .layer {
  background-color: rgba(51, 51, 51, 0.6);
  position: absolute;
  top: 100%;
  left: 0px;
  width: 100%;
  height: 100%;
  transition: 500ms;
}

.about .container .about-img .border .img {
  position: relative;
  left: 30px;
  top: 30px;
  overflow: hidden;
}

.about .container .about-img .border .img:hover .layer {
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
}

.about .container .about-img .border .img .layer ul {
  display: flex;
  justify-content: center;
  gap: 20px;
  position: relative;
  top: 230px;
  right: 25px;
}

.about .container .about-img .border .img .layer ul li {
  text-decoration: none;
  list-style: none;
}

.about .container .about-img .border .img .layer ul li a {
  color: white;
}

.about .container .about-img .border .img .layer ul li a:hover {
  color: #ff305b;
}

.about .container .about-content {
  margin-left: 5%;
  float: left;
  width: 60%;
  /* background-color: blueviolet; */
}

.about .container .about-content h2 {
  font-size: 34px;
  position: relative;
  padding-left: 10px;
  margin-bottom: 20px;
}

.about .container .about-content h2::before {
  content: "";
  position: absolute;
  left: 0;
  width: 4px;
  height: 100%;
  background-color: #ff305b;
}

.about .container .about-content p {
  margin-bottom: 20px;
  font-size: 18px;
  line-height: 2;
  padding-bottom: 20px;
  border-bottom: dashed 1px;
}

.about .container .about-content ul {
  display: flow-root;
}

.about .container .about-content ul li {
  list-style: none;
  float: left;
  width: 50%;
  padding-bottom: 20px;
}

.about .container .about-content ul li span {
  font-weight: bolder;
}

.about .container .about-content button {
  padding: 10px 20px;
  background-color: #ff305b;
  border: 2px solid #ff305b;
  border-radius: 7px;
  color: white;
  margin-left: 35px;
  font-size: 19px;

  transition: 500ms background-color;
}

.about .container .about-content button a {
  color: #e6e6e6;
}

.about .container .about-content button:hover {
  background-color: #ec2403;
}

.about .container .about-content button i {
  padding: 6px;
}

/*  &   End About Section */

/*  ^   Start Services Section */

.services {
  background-color: #e6e6e6;
}

.services .serv-item {
  text-align: center;
  width: 25%;
  transition: 1s background-color;
}

.services .serv-item:hover {
  background-color: white;
}

.services .serv-item h3 {
  margin-bottom: 10px;
}

.services .container .over-all-serv-item {
  display: flex;
  gap: 5px;
  margin-top: 30px;
}

.services .container .serv-item h3 {
  font-size: 22px;
  padding-top: 30px;
}

.services .container .serv-item {
  line-height: 1.5;
  border-radius: 7px;
  padding: 30px;
}

.services .container .serv-item .dev-icon {
  transition: 0.5s transform;
}

.services .container .serv-item:hover .dev-icon {
  transform: scale(1.2);
}

/* ^  End Services Section */

/*  ~   Start Portfolio Section */

.portfolio ul {
  /* background-color: red; */
  list-style: none;
  padding: 0px;
  display: flex;
  gap: 20px;
  justify-content: center;
  margin: 20px;
  padding: 20px;
  font-size: 20px;
}

.portfolio .container .main-section {
  display: flow-root;
}

.portfolio .container ul li a:hover {
  color: #ff305b;
}

.portfolio .image-wrapper {
  float: left;
  width: 33.333333%;
  padding: 20px;
}

.portfolio .image-wrapper .inner {
  position: relative;
}

.portfolio .image-wrapper .layer {
  position: absolute;
  background-color: rgb(0, 0, 0, 0.7);
  bottom: 0px;
  right: 0px;
  left: 0px;
  top: 0px;

  opacity: 0;
  transition: 500ms;
}

.portfolio .image-wrapper:hover .layer {
  opacity: 1;
}

.portfolio .image-wrapper img {
  width: 100%;
}

.portfolio .image-wrapper .layer .icon {
  color: #ff305b;
  position: absolute;
  right: 20px;
  bottom: 20px;
}

.portfolio .container ul a span {
  color: #ff305b;
}

/*  ~   End Portfolio Section */

/*  &  Start History Section */

.history {
  background-color: #eee;
}

.history .history-info {
  /* background-color: aqua; */
  display: flex;
  justify-content: space-between;
  text-align: center;
  margin-inline: 100px;
}

.history .history-info .info-element {
  /* background-color: aquamarine; */
  line-height: 40px;
}

.history .history-info .info-element i {
  color: #ff305b;
  font-size: 35px;
}

.history .history-info .info-element p:nth-last-of-type(1) {
  font-size: 17px;
  color: #333;
}

.history .history-info .info-element p:nth-last-of-type(2) {
  font-size: 30px;
  font-weight: bolder;
}

/*  &  End History Section */

/*  *   Start Client's feedback Section */

.client .client-item {
  background-color: #eee;
  width: 65%;
  margin: 30px auto;
  padding: 40px;
  border-radius: 7px;
  position: relative;
}

.client .client-item .item-photo {
  float: left;
  /* background-color: blueviolet; */
  width: 30%;
  text-align: right;

  padding-right: 50px;
  position: relative;
  z-index: 3;
}

.client .client-item .item-photo img {
  border-radius: 50%;
  width: 120px;
}

.client .client-item .item-content {
  float: left;
  /* background-color: chartreuse; */
  width: 70%;
}

.client .client-item .item-content h3 {
  font-weight: bolder;
  font-size: 30px;
  margin-bottom: 10px;
}

.client .client-item .item-content p:nth-last-of-type(2) {
  margin-bottom: 10px;
  font-style: italic;
}

.client .client-item .item-content p:nth-last-of-type(1) {
  margin-bottom: 10px;
  font-style: italic;
  line-height: 1.5;
}

.client .client-item .item-content .border {
  border: 100px solid red;
  position: absolute;
  border-color: #ff305b transparent transparent #ff305b;
  top: 0px;
  left: 0px;
}

.client .container .client-item .stars {
  position: relative;
  left: 200px;
}

/*  *   End Client's feedback Section */

/*  & Start Blog Section */

.blog {
  background-color: #eee;
  padding-top: 70px;
}

.blog .container {
  display: flow-root;
}
.blog .blog-item {
  width: 33.3333%;
  float: left;
  padding: 20px;
}

.blog .blog-item img {
  width: 100%;
}

.blog .blog-item .content {
  padding: 20px;
  background-color: #fff;
  border-radius: 0 0 7px 7px;
}

.blog .blog-item .content p {
  color: grey;
  margin-bottom: 10px;
  line-height: 1.5;
}

.blog .blog-item .content h3 {
  font-weight: bolder;
  font-size: 20px;
  margin-bottom: 10px;
}

.blog .blog-item .content h3:hover {
  color: #ff305b;
}
.blog .blog-item .content a:hover {
  color: #ff305b;
}

/*  & End Blog Section */

/*  ^ Start Contact Section */

.contact .container form .first-two {
  display: flex;
  justify-content: center;
  gap: 30px;
}

.contact .container form .third {
  display: flex;
  justify-content: center;
}

.contact .container form .textarea {
  display: flex;
  justify-content: center;
}

.contact .container form .first-two input {
  width: 30%;
  height: 40px;
  margin: 40px 0px 25px 0px;
  border-radius: 5px;
}

.contact .container form .third input {
  width: 63%;
  height: 40px;
  border-radius: 5px;
}

.contact .container form .textarea textarea {
  margin-top: 25px;
  width: 720px;
  height: 100px;
  border-radius: 5px;
}

.contact .container form .button button {
  position: relative;
  top: 20px;
  left: 210px;
  background-color: #ff305b;
  color: white;
  width: 150px;
  height: 50px;
  border-radius: 7px;
  border: none;
  font-weight: bold;
}

.contact .container form .button button:hover {
  background-color: #ec2403;
}

textarea {
  resize: vertical;
}

textarea:focus {
  border: 2px solid #ff305b;
  outline: none;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

input:focus {
  border: 2px solid #ff305b;
  outline: none;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

/*  ^ End Contact Section */

/*  * Start footer Section */

.footer {
  background-color: #333;
}

.footer .social-media {
  font-size: 20px;
  display: flex;
  justify-content: center;
  gap: 25px;
}

.footer .social-media a {
  color: #eee;
}

.footer .content {
  display: flex;
  justify-content: center;
  padding: 10px;
  color: #eee;
}

.footer .content p span {
  color: #ff305b;
}

.footer .social-media a:hover {
  color: #ff305b;
}

/*  * End footer Section */
